Bug 262486 - Monitor goes into power saving mode when it shouldn't
Summary: Monitor goes into power saving mode when it shouldn't
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: powermanagement (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Dario Freddi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-08 03:09 UTC by Nikos Chantziaras
Modified: 2011-01-15 21:42 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Global settings (143.47 KB, image/png)
2011-01-08 03:09 UTC, Nikos Chantziaras
Details
Power Profiles (82.37 KB, image/png)
2011-01-08 03:11 UTC, Nikos Chantziaras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nikos Chantziaras 2011-01-08 03:09:48 UTC
Created attachment 55721 [details]
Global settings

Version:           unspecified (using KDE 4.5.95) 
OS:                Linux

I have configured the "Performance" profile in System Settings to switch off the monitor after 60 minutes.  However, it is switched off after 10 minutes instead.  It seems the setting is ignored.

I am attaching two screenshots that show exactly how I configured this.

Reproducible: Always
Comment 1 Nikos Chantziaras 2011-01-08 03:11:02 UTC
Created attachment 55722 [details]
Power Profiles
Comment 2 Christoph Feck 2011-01-08 03:53:25 UTC
Please check other options that can power down the monitor, such as ACPI BIOS and "xset q" in Konsole. Additionally, to make sure the value is indeed ignored, try setting a very short value, such as 1 minute, to confirm.
Comment 3 Nikos Chantziaras 2011-01-08 06:50:05 UTC
(In reply to comment #2)
> Please check other options that can power down the monitor, such as ACPI BIOS
> and "xset q" in Konsole. Additionally, to make sure the value is indeed
> ignored, try setting a very short value, such as 1 minute, to confirm.

xset q:

DPMS (Energy Star):
  Standby: 600    Suspend: 600    Off: 600
  DPMS is Enabled
  Monitor is On

That's indeed 10 minutes.  KDE seems to ignore X.Org defauls (there's no xorg.conf on my system).
Comment 4 Jonas Nyrén 2011-01-09 22:47:04 UTC
I can confirm this happens here, too.
kde 4.5.95, Arch linux 64bit.
Comment 5 Nikos Chantziaras 2011-01-09 23:04:00 UTC
I tried setting the KDE settings to 1 minute for Dim Display and 2 minutes for Screen Energy Saving, but nothing happens; KDE power saving settings don't work at all here.
Comment 6 Gabriel Ramirez 2011-01-13 21:05:54 UTC
this happens too in Fedora 14 i686 with kde 4.5.95
 the monitor power off is at 18 minutes and screen saver at 15 minutes but xset -q shows:

DPMS (Energy Star):
  Standby: 600    Suspend: 600    Off: 600
  DPMS is Enabled
  Monitor is On

so the result is monitor goes off at 10 minutes in kde 4.5.95


this is somewhat a regresssion from kde 4.5, in it kde can manage the  three settings just fine in kde 4.5.5 xset -q :

DPMS (Energy Star):
  Standby: 960    Suspend: 1080    Off: 0
  DPMS is Enabled
  Monitor is in Suspend
Comment 7 Dario Freddi 2011-01-15 21:42:18 UTC
SVN commit 1214660 by dafre:

BUG: 262486

The DPMS timeouts are in seconds, not milliseconds. This fix unfortunately requires editing configuration, luckily we haven't released yet.
Users will probably want to edit screen turnoff time manually or start back from a new profile set.

 M  +1 -1      actions/dpms/powerdevildpmsaction.cpp  
 M  +2 -2      actions/dpms/powerdevildpmsactionconfig.cpp  
 M  +4 -4      powerdevilprofilegenerator.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1214660